Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.tools.json
Class JSONUtil

    java.lang.Object
      com.rabbitmq.tools.json.JSONUtil

    public class JSONUtil

extends java.lang.Object

Utility methods for working with JSON objects in Java.

Constructor Summary
`JSONUtil()`

Method Summary
`static java.lang.Object` | `fill(java.lang.Object target, java.util.Map<java.lang.String,java.lang.Object> source)` Uses reflection to fill public fields and Bean properties of the target object from the source Map.
`static java.lang.Object` | `fill(java.lang.Object target, java.util.Map<java.lang.String,java.lang.Object> source, boolean useProperties)` Uses reflection to fill public fields and optionally Bean properties of the target object from the source Map.
`static void` | `tryFill(java.lang.Object target, java.util.Map<java.lang.String,java.lang.Object> source)` Ignores reflection exceptions while using reflection to fill public fields and Bean properties of the target object from the source Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONUtil

    public JSONUtil()

Method Detail

### fill

    public static java.lang.Object fill(java.lang.Object target,
                                        java.util.Map<java.lang.String,java.lang.Object> source)
                                 throws java.beans.IntrospectionException,
                                        java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException

  Uses reflection to fill public fields and Bean properties of the target object from the source Map.

  Throws:
    `java.beans.IntrospectionException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### fill

    public static java.lang.Object fill(java.lang.Object target,
                                        java.util.Map<java.lang.String,java.lang.Object> source,
                                        boolean useProperties)
                                 throws java.beans.IntrospectionException,
                                        java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException

  Uses reflection to fill public fields and optionally Bean properties of the target object from the source Map.

  Throws:
    `java.beans.IntrospectionException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### tryFill

    public static void tryFill(java.lang.Object target,
                               java.util.Map<java.lang.String,java.lang.Object> source)

  Ignores reflection exceptions while using reflection to fill public fields and Bean properties of the target object from the source Map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD